
<mb-input-text #searchInput [mbSuffixTemplate]="selected ? suffixIconClose : suffixIconSearch"
               [mbShowFlexEnd]="mbLabelText != null"
               [mbLabelText]="mbLabelText"
               mbPlaceholderText="{{ mbPlaceholder | translate}}"
               (mbBlur)="onBlur()"
               [mbReadOnly]="selected || !mbCanText"
               [mbDisable]="mbDisable"
               [mbType]="mbType"
               [mbAutocomplete]="mbAutocomplete"
               [mbShowError]="mbShowError"
               [mbErrors]="mbErrors"
               [mbErrorDefs]="mbErrorDefs"
               [(ngModel)]="inputSearch"
               (ngModelChange)="onInputChange($event)"
               (mbClick)="openResult()"
>

</mb-input-text>
<ng-template #suffixIconSearch>
  <em class="icon__search" nz-icon nzType="search" (click)="openResult()"></em>
</ng-template>

<ng-template #suffixIconClose>
<!--  <i class="icon__search" nz-icon nzType="search" (click)="openResult()"></i>-->
  <em *ngIf="selected" class="icon__close" nz-icon nzType="close" (click)="clearResult()"></em>
</ng-template>

